---
title: "FreeBSD/pc98 6.2-RELEASE Release Notes"
sidenav: download
---

++++


<h3 class="CORPAUTHOR">The FreeBSD Project</h3>

<p class="COPYRIGHT">Copyright &copy; 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007 The
FreeBSD Documentation Project</p>

<p class="PUBDATE">$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml,v
1.883.2.52.2.7 2007/01/11 19:53:37 bmah Exp $<br />
</p>

<div class="LEGALNOTICE"><a id="TRADEMARKS" name="TRADEMARKS"></a>
<p>FreeBSD is a registered trademark of the FreeBSD Foundation.</p>

<p>IBM, AIX, EtherJet, Netfinity, OS/2, PowerPC, PS/2, S/390, and ThinkPad are trademarks
of International Business Machines Corporation in the United States, other countries, or
both.</p>

<p>IEEE, POSIX, and 802 are registered trademarks of Institute of Electrical and
Electronics Engineers, Inc. in the United States.</p>

<p>Intel, Celeron, EtherExpress, i386, i486, Itanium, Pentium, and Xeon are trademarks or
registered trademarks of Intel Corporation or its subsidiaries in the United States and
other countries.</p>

<p>Sparc, Sparc64, SPARCEngine, and UltraSPARC are trademarks of SPARC International, Inc
in the United States and other countries. Products bearing SPARC trademarks are based
upon architecture developed by Sun Microsystems, Inc.</p>

<p>Many of the designations used by manufacturers and sellers to distinguish their
products are claimed as trademarks. Where those designations appear in this document, and
the FreeBSD Project was aware of the trademark claim, the designations have been followed
by the &#8220;&trade;&#8221; or the &#8220;&reg;&#8221; symbol.</p>
</div>

<div>
<div class="ABSTRACT"><a id="AEN25" name="AEN25"></a>
<p>The release notes for FreeBSD 6.2-RELEASE contain a summary of the changes made to the
FreeBSD base system on the 6.2-STABLE development line. This document lists applicable
security advisories that were issued since the last release, as well as significant
changes to the FreeBSD kernel and userland. Some brief remarks on upgrading are also
presented.</p>
</div>
</div>

<hr />
</div>

<div class="TOC">
<dl>
<dt><b>Table of Contents</b></dt>

<dt>1 <a href="#INTRO">Introduction</a></dt>

<dt>2 <a href="#NEW">What's New</a></dt>

<dd>
<dl>
<dt>2.1 <a href="#SECURITY">Security Advisories</a></dt>

<dt>2.2 <a href="#KERNEL">Kernel Changes</a></dt>

<dd>
<dl>
<dt>2.2.1 <a href="#BOOT">Boot Loader Changes</a></dt>

<dt>2.2.2 <a href="#PROC">Hardware Support</a></dt>

<dt>2.2.3 <a href="#NET-PROTO">Network Protocols</a></dt>

<dt>2.2.4 <a href="#DISKS">Disks and Storage</a></dt>

<dt>2.2.5 <a href="#FS">File Systems</a></dt>
</dl>
</dd>

<dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

<dd>
<dl>
<dt>2.3.1 <a href="#RC-SCRIPTS"><tt class="FILENAME">/etc/rc.d</tt> Scripts</a></dt>
</dl>
</dd>

<dt>2.4 <a href="#CONTRIB">Contributed Software</a></dt>

<dt>2.5 <a href="#PORTS">Ports/Packages Collection Infrastructure</a></dt>

<dt>2.6 <a href="#RELENG">Release Engineering and Integration</a></dt>

<dt>2.7 <a href="#DOC">Documentation</a></dt>
</dl>
</dd>

<dt>3 <a href="#UPGRADE">Upgrading from previous releases of FreeBSD</a></dt>
</dl>
</div>

<div class="SECT1">
<h2 class="SECT1"><a id="INTRO" name="INTRO">1 Introduction</a></h2>

<p>This document contains the release notes for FreeBSD 6.2-RELEASE on the NEC PC-98x1
hardware platform. It describes recently added, changed, or deleted features of FreeBSD.
It also provides some notes on upgrading from previous versions of FreeBSD.</p>

<p>This distribution of FreeBSD 6.2-RELEASE is a release distribution. It can be found at
<a href="http://www.FreeBSD.org/snapshots/"
target="_top">http://www.FreeBSD.org/snapshots/</a> or any of its mirrors. More
information on obtaining this (or other) release distributions of FreeBSD can be found in
the <a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors.html"
target="_top">&#8220;Obtaining FreeBSD&#8221; appendix</a> to the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<p>All users are encouraged to consult the release errata before installing FreeBSD. The
errata document is updated with &#8220;late-breaking&#8221; information discovered late
in the release cycle or after the release. Typically, it contains information on known
bugs, security advisories, and corrections to documentation. An up-to-date copy of the
errata for FreeBSD 6.2-RELEASE can be found on the FreeBSD Web site.</p>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="NEW" name="NEW">2 What's New</a></h2>

<p>This section describes the most user-visible new or changed features in FreeBSD since
6.1-RELEASE.</p>

<p>Typical release note items document recent security advisories issued after
6.1-RELEASE, new drivers or hardware support, new commands or options, major bug fixes,
or contributed software upgrades. They may also list changes to major ports/packages or
release engineering practices. Clearly the release notes cannot list every single change
made to FreeBSD between releases; this document focuses primarily on security advisories,
user-visible changes, and major architectural improvements.</p>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="SECURITY" name="SECURITY">2.1 Security Advisories</a></h3>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ypserv&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ypserv</span>(8)</span></a>, which
effectively disabled the <tt class="FILENAME">/var/yp/securenets</tt> access control
mechanism, has been corrected. More details are available in security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:15.ypserv.asc"
target="_top">FreeBSD-SA-06:15.ypserv</a>.</p>

<p>A bug in the smbfs file system, which could allow an attacker to escape out of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=chroot&sektion=2&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">chroot</span>(2)</span></a>
environments on an smbfs mounted filesystem, has been fixed. For more details, see
security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:16.smbfs.asc"
target="_top">FreeBSD-SA-06:16.smbfs</a>.</p>

<p>A potential denial of service problem in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sendmail&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sendmail</span>(8)</span></a>
caused by excessive recursion which leads to stack exhaustion when attempting delivery of
a malformed MIME message, has been fixed. For more details, see security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:17.sendmail.asc"
target="_top">FreeBSD-SA-06:17.sendmail</a>.</p>

<p>A potential buffer overflow condition in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sppp&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sppp</span>(4)</span></a> has been
corrected. For more details, see security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:18.ppp.asc"
target="_top">FreeBSD-SA-06:18.ppp</a>.</p>

<p>An OpenSSL bug related to validation of PKCS#1 v1.5 signatures has been fixed. For
more details, see security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:19.openssl.asc"
target="_top">FreeBSD-SA-06:19.openssl</a>.</p>

<p>A potential denial of service attack against <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=named&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">named</span>(8)</span></a> has
been fixed. For more details, see security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:20.bind.asc"
target="_top">FreeBSD-SA-06:20.bind</a>.</p>

<p>Several programming errors have been fixed in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gzip&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gzip</span>(1)</span></a>. They
could have the effect of causing a crash or an infinite loop when decompressing files.
More information can be found in security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:21.gzip.asc"
target="_top">FreeBSD-SA-06:21.gzip</a>.</p>

<p>Several vulnerabilities have been fixed in OpenSSH. More details can be found in
security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:22.openssh.asc"
target="_top">FreeBSD-SA-06:22.openssh</a>.</p>

<p>Multiple errors in the OpenSSL <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&sektion=3&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">crypto</span>(3)</span></a>
library have been fixed. Potential effects are varied, and are documented in more detail
in security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:23.openssl.asc"
target="_top">FreeBSD-SA-06:23.openssl</a>.</p>

<p>A bug that could permit corrupt archives to cause an infinite loop in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=libarchive&sektion=3&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">libarchive</span>(3)</span></a>
and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tar&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tar</span>(1)</span></a> has been
fixed. More details are available in <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:24.libarchive.asc"
target="_top">FreeBSD-SA-06:24.libarchive</a>.</p>

<p>A bug that could allow users in the <tt class="GROUPNAME">operator</tt> group to read
parts of kernel memory has been corrected. For more details, consult security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-06:25.kmem.asc"
target="_top">FreeBSD-SA-06:25.kmem</a>.</p>

<p>A bug in the <tt class="FILENAME">jail</tt> startup script that could permit privilege
escalation via a symlink attack has been fixed. More information is available in <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-07:01.jail.asc"
target="_top">FreeBSD-SA-07:01.jail</a>.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="KERNEL" name="KERNEL">2.2 Kernel Changes</a></h3>

<p>Security event auditing is now supported in the FreeBSD kernel, and is enabled by the
<tt class="LITERAL">AUDIT</tt> kernel configuration option. More information can be found
in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=audit&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">audit</span>(4)</span></a> manual
page.</p>

<p>Several workarounds for bugs in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tty&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tty</span>(4)</span></a> layer
have been added; these changes prevent a variety of observed kernel panics.</p>

<p>A bug has been fixed in the statistics-keeping code in the kernel's UMA memory
allocator. This caused a count of memory allocation failures (as shown by <tt
class="COMMAND">netstat -m</tt>) to increase erroneously.</p>

<p>FreeBSD now runs on the Xbox, whose architecture is nearly identical to the i386. For
details of the latest development, see <a
href="http://www.FreeBSD.org/platforms/xbox.html"
target="_top">http://www.FreeBSD.org/platforms/xbox.html</a>.</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="BOOT" name="BOOT">2.2.1 Boot Loader Changes</a></h4>

<p>A bootable CDROM loader has been implemented for the pc98 platform.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PROC" name="PROC">2.2.2 Hardware Support</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=amdsmb&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">amdsmb</span>(4)</span></a> driver
has been added. It provides support for the AMD-8111 SMBus 2.0 controller.</p>

<p>Support for the PadLock Security Co-processor in VIA C3, Eden, and C7 processors has
been added to the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&sektion=9&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">crypto</span>(9)</span></a>
subsystem. More information can be found in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=padlock&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">padlock</span>(4)</span></a>
manual page.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nfsmb&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">nfsmb</span>(4)</span></a> driver,
which supports the NVIDIA nForce 2/3/4 SMBus 2.0 controller, has been added.</p>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="MM" name="MM">2.2.2.1 Multimedia Support</a></h5>
</div>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="NET-IF" name="NET-IF">2.2.2.2 Network Interface Support</a></h5>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ath&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ath</span>(4)</span></a> driver
has been updated to HAL version 0.9.17.2.</p>

<p>Some improvements have been made to the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bce&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bce</span>(4)</span></a> driver to
improve its stability. One user-visible aspect of these changes is that transmit-side
checksum offload involving IP fragments has been disabled, because it was not handled
correctly by the hardware.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&sektion=4&manpath=FreeBSD+6.2-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> driver has been
updated to version 6.2.9 from Intel. Among other changes, it adds support for a number of
new adapters. Compiling the driver with the <tt class="LITERAL">EM_FAST_INTR</tt>
preprocesor symbol defined will enable optional &#8220;fast interrupt&#8221; processing.
&#8220;Fast interrupt&#8221; processing, as implemented in this version of the driver,
has been shown to yield significant performance improvements in some cases, but has been
linked to stability issues in other cases.</p>

<p>A number of improvements and bugfixes have been made to the functionality of the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=iwi&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">iwi</span>(4)</span></a> driver.
This driver now requires the firmware image in the <a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/net/iwi-firmware-kmod/pkg-descr"><tt
class="FILENAME">net/iwi-firmware-kmod</tt></a> port/package; prior versions of this
driver used the <a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/net/iwi-firmware/pkg-descr"><tt
class="FILENAME">net/iwi-firmware</tt></a> port/package.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=my&sektion=4&manpath=FreeBSD+6.2-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">my</span>(4)</span></a> driver now has
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=altq&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">altq</span>(4)</span></a>
support.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nve&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">nve</span>(4)</span></a> driver
has been updated to version 1.0-0310 (23-Nov-2005). It also now has <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=altq&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">altq</span>(4)</span></a>
support.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sk&sektion=4&manpath=FreeBSD+6.2-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">sk</span>(4)</span></a> driver is now
MPSAFE.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=stge&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">stge</span>(4)</span></a> driver
has been added. It supports the Sundance/Tamarack TC9021 Gigabit Ethernet controller and
was ported from NetBSD.</p>
</div>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-PROTO" name="NET-PROTO">2.2.3 Network Protocols</a></h4>

<p>Multiple copies of a packet received via different <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bpf&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bpf</span>(4)</span></a> listeners
now all have identical timestamps.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=enc&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">enc</span>(4)</span></a> IPsec
filtering pseudo-device has been added. It allows firewall packages using the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pfil&sektion=9&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pfil</span>(9)</span></a>
framework to examine (and filter) IPsec traffic before outbound encryption and after
inbound decryption.</p>

<p>The sysctl variables <code class="VARNAME">net.inet.ip.portrange.reservedhigh</code>
and <code class="VARNAME">net.inet.ip.portrange.reservedlow</code> can be used with IPv6
now.</p>

<p>The <tt class="LITERAL">IPFIREWALL_FORWARD_EXTENDED</tt> kernel option has been
removed. This option was used to permit <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> to
redirect packets with local destinations. This behavior is now always enabled when the
<tt class="LITERAL">IPFIREWALL_FORWARD</tt> kernel option is enabled.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> packet
filter now supports <tt class="LITERAL">tag</tt> and <tt class="LITERAL">untag</tt> rule
keywords. When a packet matches a rule with the <tt class="LITERAL">tag</tt> keyword, the
numeric tag for the given number in the range from 0 to 65535 will be attached to the
packet. The tag acts as an internal marker (it is not sent out over the wire) that can be
used to identify these packets later on, for example, by using <tt
class="LITERAL">tagged</tt> rule option. For more details, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(8)</span></a>.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_ether&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_ether</span>(4)</span></a>
Netgraph node no longer overwrites the MAC address of outgoing frames by default.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_tag&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_tag</span>(4)</span></a>
Netgraph node has been added to support the manipulation of mbuf tags attached to data in
the kernel.</p>

<p>Support for <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=kqueue&sektion=2&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">kqueue</span>(2)</span></a>
operations has been added to the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tun&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tun</span>(4)</span></a>
driver.</p>

<p>FreeBSD 6.1-RELEASE contained a bug in the IPv6 implementation, which caused spurious
error messages to be printed for point-to-point interfaces. This problem has been
corrected.</p>

<p>IPv6 link-local addresses are now enabled only if <code
class="VARNAME">ipv6_enable</code> is set in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rc.conf&sektion=5&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rc.conf</span>(5)</span></a>.</p>

<p>A bug that prevented <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=carp&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">carp</span>(4)</span></a> from
working correctly in some IPv6 environments has been fixed.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="DISKS" name="DISKS">2.2.4 Disks and Storage</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=arcmsr&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">arcmsr</span>(4)</span></a> driver
has been updated to version 1.20.00.13.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver
now supports USB mass storage class devices. To enable it, a line <tt
class="LITERAL">device atausb</tt> in the kernel configuration file or loading the <tt
class="FILENAME">atausb</tt> kernel module is needed. Note that this functionality cannot
coexist with the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=umass&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">umass</span>(4)</span></a>
driver.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ata</span>(4)</span></a> driver
has been updated to reflect the version in FreeBSD CURRENT.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> is now
able to perform data integrity verification (data authentication) of encrypted data
stored on disk. Note that the encryption algorithm is now specified to the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> control
program using the <code class="OPTION">-e</code> option; the <code
class="OPTION">-a</code> option is now used to specify the authentication algorithm.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=isp&sektion=4&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">isp</span>(4)</span></a> driver
has been updated to reflect the version in FreeBSD CURRENT.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="FS" name="FS">2.2.5 File Systems</a></h4>

<p>Several bugs related to locking have been fixed in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=devfs&sektion=5&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">devfs</span>(5)</span></a>. These
fixes prevent several observed deadlock conditions.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=linsysfs&sektion=5&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">linsysfs</span>(5)</span></a>
pseudo-filesystem driver has been added. It provides a subset of the Linux <tt
class="FILENAME">sys</tt> filesystem, and is required for the correct operation of some
Linux binaries (such as the LSI MegaRAID SAS utility).</p>

<p>A deadlock observed when both quotas and snapshots were in use on a file system on
FreeBSD 6.1-RELEASE has been corrected.</p>

<p>A performance regression with NFS servers running FreeBSD 6.1-RELEASE, caused by a
leak of the Giant kernel lock, has been fixed.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="USERLAND" name="USERLAND">2.3 Userland Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=asf&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">asf</span>(8)</span></a> utility
has been revised and extended. Now it can operate via several interfaces including <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=kvm&sektion=3&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">kvm</span>(3)</span></a>, which
supports not only live systems, but also kernel crash dumps.</p>

<p>The OpenBSM userland tools, including <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=audit&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">audit</span>(8)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=auditd&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">auditd</span>(8)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=auditreduce&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">auditreduce</span>(1)</span></a>,
and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=praudit&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">praudit</span>(1)</span></a>, have
been added.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cp&sektion=1&manpath=FreeBSD+6.2-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">cp</span>(1)</span></a> utility now
supports a <code class="OPTION">-l</code> option, which causes it to create hardlinks to
the source files instead of copying them.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=csup&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">csup</span>(1)</span></a> utility
has been imported. This is an implementation of a CVSup-compatible client written in the
C language. Note that it currently supports checkout mode only.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dhclient&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dhclient</span>(8)</span></a>
program now sends the host's name in DHCP requests if it is not specified in the
configuration file.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=du&sektion=1&manpath=FreeBSD+6.2-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">du</span>(1)</span></a> program now
supports a <code class="OPTION">-n</code> flag, which causes it to ignore files and
directories with the <tt class="LITERAL">nodump</tt> flag set.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=find&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">find</span>(1)</span></a> program
now supports <code class="OPTION">-Btime</code> and other related primaries, which can be
used to create expressions based on a file's creation time.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">freebsd-update</span>(8)</span></a> utility, a tool for managing
binary updates to the FreeBSD base system, has been added.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fsdb&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fsdb</span>(8)</span></a> utility
now supports changing the birth time of files on UFS2 file systems using the new <tt
class="LITERAL">btime</tt> command.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fsdb&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fsdb</span>(8)</span></a> program
now supports a <tt class="LITERAL">findblk</tt> command, which finds the inode(s) owning
a specific disk block.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getent&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">getent</span>(1)</span></a>
utility has been imported from NetBSD. It retrieves and displays information from an
administrative database (such as <tt class="FILENAME">hosts</tt>) using the lookup order
specified in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nsswitch.conf&sektion=5&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">nsswitch.conf</span>(5)</span></a>.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=id&sektion=1&manpath=FreeBSD+6.2-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">id</span>(1)</span></a> utility now
supports a <code class="OPTION">-A</code> flag to print process audit properties,
including the audit user id.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=iostat&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">iostat</span>(8)</span></a>
utility now supports a <code class="OPTION">-x</code> flag (inspired by Solaris) to print
extended disk statistics. If the new <code class="OPTION">-z</code> flag is also
specified, no output is made for disks with no activity.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jail&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jail</span>(8)</span></a> program
now supports a <code class="OPTION">-s</code> option to specify a jail's securelevel.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jexec&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jexec</span>(8)</span></a> utility
now supports <code class="OPTION">-u</code> and <code class="OPTION">-U</code> flags to
specify username credentials under which a command should be executed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=logger&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">logger</span>(1)</span></a>
utility now supports a <code class="OPTION">-P</code>, which specifies the port to which
syslog messages should be sent.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ls&sektion=1&manpath=FreeBSD+6.2-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">ls</span>(1)</span></a> utility now
supports an <code class="OPTION">-U</code> flag to use the file creation time for
sorting.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mount&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mount</span>(8)</span></a> utility
now supports a <tt class="LITERAL">late</tt> keyword in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fstab&sektion=5&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fstab</span>(5)</span></a>, along
with a corresponding <code class="OPTION">-l</code> command-line option to specify that
these &#8220;late&#8221; file systems should be mounted.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ping&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ping</span>(8)</span></a> command
now supports a <code class="OPTION">-W</code> option to specify the maximum time to wait
for an echo reply.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkill&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkill</span>(1)</span></a> utility
(also known as <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pgrep&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pgrep</span>(1)</span></a>) has
been moved from <tt class="FILENAME">/usr/bin</tt> to <tt class="FILENAME">/bin</tt> so
that it can be used by startup scripts. Symbolic links from its former location have been
created for backward compatibliity.</p>

<p>An extensible implementation of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=printf&sektion=3&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">printf</span>(3)</span></a>,
compatible with GLIBC, has been added to <tt class="FILENAME">libc</tt>. It is only used
if the environment variable <code class="VARNAME">USE_XPRINTF</code> is defined, one of
the extension functions is called, or the global variable <code
class="VARNAME">__use_xprintf</code> is set to a value greater than <tt
class="LITERAL">0</tt>. Five extensions are currently supported: <tt
class="LITERAL">%H</tt> (hex dump), <tt class="LITERAL">%T</tt> (<code
class="VARNAME">time_t</code> and time-related structures), <tt class="LITERAL">%M</tt>
(errno message), <tt class="LITERAL">%Q</tt> (double-quoted, escaped string), <tt
class="LITERAL">%V</tt> (<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=strvis&sektion=3&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">strvis</span>(3)</span></a>-format
string),</p>

<p>The DNS resolver library in FreeBSD's <b class="APPLICATION">libc</b> has been updated
to that from BIND 9.3.3.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tail&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tail</span>(1)</span></a> utility
now supports a <code class="OPTION">-q</code> flag to suppress header lines when multiple
files are specified.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=traceroute&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">traceroute</span>(8)</span></a>
program now supports a <code class="OPTION">-D</code> flag, which causes it to display
the differences between the sent and received packets.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=traceroute&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">traceroute</span>(8)</span></a>
utility now supports a <code class="OPTION">-e</code> option, which sets a fixed
destination port for probe packets. This can be useful for tracing behind
packet-filtering firewalls.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=traceroute&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">traceroute</span>(8)</span></a>
now decodes the complete set of ICMP unreachable messages in its output.</p>

<p>The compiler toolchain is now capable of generating executables for systems using the
ARM processor.</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="RC-SCRIPTS" name="RC-SCRIPTS">2.3.1 <tt
class="FILENAME">/etc/rc.d</tt> Scripts</a></h4>

<p>The <tt class="FILENAME">auditd</tt> script for OpenBSM <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=auditd&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">auditd</span>(8)</span></a> has
been added.</p>

<p>A bug in the <tt class="FILENAME">rc.d/jail</tt> startup script, which caused a number
of problems for users attempting to use jails on FreeBSD 6.1-RELEASE, has been
corrected.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="CONTRIB" name="CONTRIB">2.4 Contributed Software</a></h3>

<p><b class="APPLICATION">BIND</b> has been updated from 9.3.1 to 9.3.3.</p>

<p><b class="APPLICATION">GCC</b> has been updated from 3.4.4 to 3.4.6.</p>

<p><b class="APPLICATION">IPFilter</b> has been updated from 4.1.8 to 4.1.13.</p>

<p><b class="APPLICATION">less</b> has been updated from v381 to v394.</p>

<p><b class="APPLICATION">libpcap</b> has been updated from 0.9.1 to 0.9.4.</p>

<p><b class="APPLICATION">lukemftpd</b> has been updated from a snapshot from NetBSD as
of 9 August 2004 to a snapshot from NetBSD as of 31 August 2006.</p>

<p><b class="APPLICATION">netcat</b> has been updated from the version in a 4 February
2005 OpenBSD snapshot to the version included in OpenBSD 3.9.</p>

<p><b class="APPLICATION">OpenSSH</b> has been updated from 4.2p1 to 4.5p1.</p>

<p><b class="APPLICATION">sendmail</b> has been updated from 8.13.6 to 8.13.8.</p>

<p><b class="APPLICATION">tcpdump</b> has been updated from 3.9.1 to 3.9.4.</p>

<p>The timezone database has been updated from the <b class="APPLICATION">tzdata2005r</b>
release to the <b class="APPLICATION">tzdata2006g</b> release.</p>

<p>TrustedBSD <b class="APPLICATION">OpenBSM</b>, version 1.0 alpha 12, an implementation
of the documented Sun Basic Security Module (BSM) Audit API and file format, as well as
local extensions to support the Mac OS X and FreeBSD operating systems has been added.
This also includes command line tools for audit trail reduction and conversion to text,
as well as documentation of the commands, file format, and APIs. For this functionality,
the <tt class="LITERAL">AUDIT</tt> kernel option, <tt class="FILENAME">/var/audit</tt>
directory, and <tt class="LITERAL">audit</tt> group have been added.</p>

<p><b class="APPLICATION">zlib</b> has been updated from version 1.2.2 to version
1.2.3.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="PORTS" name="PORTS">2.5 Ports/Packages Collection
Infrastructure</a></h3>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_add&sektion=1&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_add</span>(1)</span></a> now
supports an <code class="OPTION">-F</code> flag to disable checking whether the same
package is already installed or not.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="RELENG" name="RELENG">2.6 Release Engineering and
Integration</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>
utility now displays the running FreeBSD version in menu titles.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>
program contained a bug that could prevent it from installing a kernel if no distribution
was explicitly selected at install-time. This bug has now been fixed.</p>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>
that sometimes prevented package installs from multiple CDROM volumes has been fixed.</p>

<p>A <tt class="FILENAME">/media</tt> directory has been added to contain mount points
for removable media such as CDROMs, floppy disks, USB drives, and so on.</p>

<p>The supported version of the <b class="APPLICATION">GNOME</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/gnome2/pkg-descr"><tt
class="FILENAME">x11/gnome2</tt></a>) has been updated from 2.12.3 to 2.16.1. As a part
of this update, the default prefix for <b class="APPLICATION">GNOME</b> (and some related
programs) has moved from <tt class="FILENAME">/usr/X11R6</tt> to <tt
class="FILENAME">/usr/local</tt>. This version of <b class="APPLICATION">GNOME</b> also
adds support for the Hardware Abstraction Layer (HAL), which provides features such as
auto-mounting removable media, auto-playing CDs, and more integrated power control.</p>

<p>The supported version of the <b class="APPLICATION">KDE</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/kde3/pkg-descr"><tt
class="FILENAME">x11/kde3</tt></a>) has been updated from 3.5.1 to 3.5.4.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="DOC" name="DOC">2.7 Documentation</a></h3>

<p>The manual pages for <b class="APPLICATION">NTP</b> have been updated to 4.2.0, to
match the version of code actually included in FreeBSD.</p>

<p>Documentation of existing functionality has been improved by the addition of the
following manual pages: <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nanobsd&sektion=8&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">nanobsd</span>(8)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&sektion=9&manpath=FreeBSD+6.2-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(9)</span></a>.</p>
</div>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="UPGRADE" name="UPGRADE">3 Upgrading from previous releases of
FreeBSD</a></h2>

<p>Source upgrades to FreeBSD 6.2-RELEASE are only supported from FreeBSD 5.3-RELEASE or
later. Users of older systems wanting to upgrade 6.2-RELEASE will need to update to
FreeBSD 5.3 or newer first, then to FreeBSD 6.2-RELEASE.</p>

<div class="IMPORTANT">
<blockquote class="IMPORTANT">
<p><b>Important:</b> Upgrading FreeBSD should, of course, only be attempted after backing
up <span class="emphasis"><i class="EMPHASIS">all</i></span> data and configuration
files.</p>
</blockquote>
</div>
</div>
</div>

<hr />
<p align="center"><small>This file, and other release-related documents, can be
downloaded from <a
href="http://www.FreeBSD.org/snapshots/">http://www.FreeBSD.org/snapshots/</a>.</small></p>

<p align="center"><small>For questions about FreeBSD, read the <a
href="http://www.FreeBSD.org/docs.html">documentation</a> before contacting &#60;<a
href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

<p align="center"><small>All users of FreeBSD 6.2-STABLE should subscribe to the &#60;<a
href="mailto:stable@FreeBSD.org">stable@FreeBSD.org</a>&#62; mailing list.</small></p>

<p align="center"><small>For questions about this documentation, e-mail &#60;<a
href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</small></p>
++++


